Subject: ANNOUNCEMENT: Postcript 100+ pages of perl WWW docs available
From: Tom Christiansen <[email-masked]>
Date: 2 Mar 1996 01:37:08 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

[Careful with followups/replies]

At ftp:://perl.com/perl/doc/www-docset.ps.gz (and coming soon to a CPAN
archive near you) can be found a postscript version of the web-related
perl documentation.  It is contiguously page-numbered for booklike
printing.  Each module's revision number appears prominently on each page
(which is something new I just added to pod2man, actually).  It includes
the enclosed table of contents.

--tom

Page   Module                           Description
  1   CGI                              Simple Common Gateway Interface Class
 20   CGI_Lite                         Perl 5.0 module to process and decode WWW form

 27   CGI::Base                        HTTP Daemon Common Gateway Interface (CGI) Base Class
 31   CGI::BasePlus                    HTTP CGI Base Class with Handling of Multipart Forms
 32   CGI::Carp                        CGI routines for writing to the HTTPD (or other) error log
 34   CGI::Form                        Build Smart HTML Forms on Top of the CGI:: Modules
 49   CGI::MiniSvr                     Adds to CGI::Base the ability for a CGI script to become
 54   CGI::Request                     Parse client request via a CGI interface

 60   HTML::AsSubs                     functions that construct a HTML syntax tree
 61   HTML::Element                    Class for objects that represent HTML elements
 63   HTML::Entities decode            Expand HTML entites in a string
 64   HTML::FormatPS                   Format HTML as postscript
 66   HTML::FormatText                 Format HTML as text
 67   HTML::Formatter                  Base class for HTML formatters
 68   HTML::Parse parse_html           Parse HTML text

 69   HTTP::Date time2str, str2time    date conversion routines
 70   HTTP::Headers                    Class encapsulating HTTP Message headers
 72   HTTP::Message                    Class encapsulating HTTP messages
 73   HTTP::Request                    Class encapsulating HTTP Requests
 74   HTTP::Response                   Class encapsulating HTTP Responses
 76   HTTP::Status                     HTTP Status code processing

 78   LWP                              Library for WWW access in Perl
 80   LWP::Debug                       debug routines for the libwww-perl library
 82   LWP::IO                          Low level I/O capability
 83   LWP::MediaTypes guessMediaType   guess media type for a file or an URL.
 84   LWP::MemberMixin                 Member access mixin class
 85   LWP::Protocol                    Virtual base class for LWP protocols
 87   LWP::Simple get, head...         Procedural LWP interface
 89   LWP::Socket                      TCP/IP socket interface
 91   LWP::TkIO                        Tk I/O routines for the LWP library
 92   LWP::UserAgent                   A WWW UserAgent class

 95   MIME::Base64 encode_base64       Encode string using base64 encoding
 96   MIME::QuotedPrint encode_qp      Encode string using quoted-printable encoding

 97   URI::Escape uri_escape           Escape unsafe characters
 98   URI::URL                         Uniform Resource Locators (absolute and relative)

103   WWW::RobotsRules                 Parse robots.txt files